## intellij-community-idea 183.5153.4

=== native/IdeaWin32/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(IdeaWin32)
include(CheckSymbolExists)

if(NOT WIN32)
  message(FATAL_ERROR "Windows only.")
endif()

if (DEFINED ENV{BUILD_NUMBER})
  set(BUILD_NUMBER $ENV{BUILD_NUMBER})
else()
  set(BUILD_NUMBER 9999)
endif()

string(TIMESTAMP YEAR "%Y")

check_symbol_exists("_M_AMD64" "" TARGET_X64)
if(TARGET_X64)
  set(FILE_NAME "IdeaWin64")
  set(JAVA_HOME $ENV{JDK_18_x64})
else()
  set(FILE_NAME "IdeaWin32")
  set(JAVA_HOME $ENV{JDK_18})
endif()
if(NOT JAVA_HOME)
  message(FATAL_ERROR "JDK_18/JDK_18_x64 variables not defined (x64=${TARGET_X64}).")
endif()

set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /MT")
include_directories(${JAVA_HOME}/include ${JAVA_HOME}/include/win32)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/IdeaWin32.rc ${CMAKE_CURRENT_BINARY_DIR}/IdeaWin32.rc @ONLY)

add_library(IdeaWin32 SHARED IdeaWin32.c IdeaWin32.h ${CMAKE_CURRENT_BINARY_DIR}/IdeaWin32.rc)

set_target_properties(IdeaWin32 PROPERTIES OUTPUT_NAME ${FILE_NAME})

=== native/LinuxGlobalMenu/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0)
project(dbm)

include(CheckCXXSourceCompiles)
include (CheckCXXCompilerFlag)

check_cxx_compiler_flag(-fvisibility=hidden __DBUSMENU_HAVE_GCC_VISIBILITY)
if (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)

check_cxx_compiler_flag(-Woverloaded-virtual __DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)
if (__DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual")
endif (__DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)

check_cxx_compiler_flag(-Wall __DBUSMENU_HAVE_W_ALL)
if (__DBUSMENU_HAVE_W_ALL)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif (__DBUSMENU_HAVE_W_ALL)


find_library(LIB_GLIB NAMES glib libglib libglib-2.0.so.0 PATHS /lib/x86_64-linux-gnu)
MESSAGE("LIB_GLIB: " ${LIB_GLIB})

find_library(LIB_DBUSMENU NAMES libdbusmenu-glib.so PATHS /usr/lib/x86_64-linux-gnu)
MESSAGE("LIB_DBUSMENU: " ${LIB_DBUSMENU})

find_library(LIB_GIO NAMES libgio-2.0.so.0 PATHS /usr/lib/x86_64-linux-gnu)
MESSAGE("LIB_GIO: " ${LIB_GIO})

find_library(LIB_GOBJ NAMES libgobject-2.0.so.0 PATHS /usr/lib/x86_64-linux-gnu)
MESSAGE("LIB_GOBJ: " ${LIB_GOBJ})

set(GLIB_INCLUDE_DIRS /usr/include/glib-2.0 /usr/lib/x86_64-linux-gnu/glib-2.0/include)
set(DBUSMENU_GLIB_INCLUDE_DIRS /usr/include/libdbusmenu-glib-0.4)

include_directories(
        ${GLIB_INCLUDE_DIRS}
        ${DBUSMENU_GLIB_INCLUDE_DIRS}
)

set(CMAKE_C_STANDARD 11)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

set(SOURCE_FILES DbusMenuWrapper.c)

add_library(dbm SHARED ${SOURCE_FILES})
target_link_libraries(dbm ${LIB_GLIB} ${LIB_GIO} ${LIB_DBUSMENU} ${LIB_GOBJ})

add_executable(dbmexec test.cc)
target_link_libraries(dbmexec dbm ${LIB_GLIB} ${LIB_GIO} ${LIB_DBUSMENU} ${LIB_DBUSMENU_GTK} ${LIB_GOBJ} ${LIB_GTK} ${LIB_GDK})

add_custom_command(TARGET dbm POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy
        $<TARGET_FILE:dbm> /home/parallels/projects/IDEA/community/bin/linux/libdbm64.so)
add_custom_command(TARGET dbm POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy
        $<TARGET_FILE:dbm> /home/parallels/IdeaProjects/TestMenu/libdbm.so)

=== native/WinFsNotifier/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(WinFsNotifier)
include(CheckSymbolExists)

if(NOT WIN32)
  message(FATAL_ERROR "Windows only.")
endif()

if (DEFINED ENV{BUILD_NUMBER})
  set(BUILD_NUMBER $ENV{BUILD_NUMBER})
else()
  set(BUILD_NUMBER 9999)
endif()

string(TIMESTAMP YEAR "%Y")

check_symbol_exists("_M_AMD64" "" TARGET_X64)
if(TARGET_X64)
  set(FILE_NAME "fsnotifier64")
else()
  set(FILE_NAME "fsnotifier")
endif()

set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /MT")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/fileWatcher3.rc ${CMAKE_CURRENT_BINARY_DIR}/fileWatcher3.rc @ONLY)

add_executable(WinFsNotifier fileWatcher3.c ${CMAKE_CURRENT_BINARY_DIR}/fileWatcher3.rc)

set_target_properties(WinFsNotifier PROPERTIES OUTPUT_NAME ${FILE_NAME})

=== native/WinRestarter/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(WinRestarter)

if(NOT WIN32)
  message(FATAL_ERROR "Windows only.")
endif()

if (DEFINED ENV{BUILD_NUMBER})
  set(BUILD_NUMBER $ENV{BUILD_NUMBER})
else()
  set(BUILD_NUMBER 9999)
endif()

string(TIMESTAMP YEAR "%Y")

set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /MT")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/restarter.rc ${CMAKE_CURRENT_BINARY_DIR}/restarter.rc @ONLY)

add_executable(restarter restarter.c ${CMAKE_CURRENT_BINARY_DIR}/restarter.rc)

=== native/breakgen/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(breakgen)

if(NOT WIN32)
  message(FATAL_ERROR "Windows only.")
endif()

set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /MT")

add_library(breakgen SHARED AppMain.c)

if(CMAKE_GENERATOR_PLATFORM STREQUAL "x64")
  set(JAVA_HOME $ENV{JDK_18_x64})
  set_target_properties(breakgen PROPERTIES OUTPUT_NAME "breakgen64")
else()
  set(JAVA_HOME $ENV{JDK_18})
endif()

include_directories(${JAVA_HOME}/include ${JAVA_HOME}/include/win32)

=== native/fsNotifier/mac/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(fsnotifier C)

if(NOT APPLE)
    message(FATAL_ERROR "macOS only.")
endif()

set(CMAKE_C_STANDARD 11)

find_library(CORE_SERVICES CoreServices)

add_executable(fsnotifier fsnotifier.c)
target_link_libraries(fsnotifier ${CORE_SERVICES})

=== debian/changelog ===
intellij-community-idea (183.5153.4-6) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/maven.rules: update automaton group id (Closes: #1101615).
  * d/control: require libautomaton-java 1.12-4+dfsg-2.

  [ Julien Plissonneau Duquène ]
  * Add myself to uploaders.
  * Promote Standards-Version to 4.7.2 with no change.

 -- Julien Plissonneau Duquène <sre4ever@free.fr>  Wed, 30 Apr 2025 10:59:27 +0000

intellij-community-idea (183.5153.4-5) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * d/p/java21-stub-decompiler-fails-on-enums.patch: cherry-pick
    upstream patch to resolve kotlin ftbfs (See 1057513).
  * d/control: require updated libasm-java to support Java 21.

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2024 15:09:19 +0200

intellij-community-idea (183.5153.4-4) unstable; urgency=medium

  * Team upload

  [ Vladimir Petko ]
  * d/p/java21-compatibility.patch: fully quialify
    org.jetbrains.concurrency.Promise.State (Closes: #1057506).

  [ tony mancill ]
  * Update lintian-overrides
  * Freshen years in debian/copyright

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 15 Jan 2024 17:03:07 +1300

intellij-community-idea (183.5153.4-3) unstable; urgency=medium

  * Team upload.
  * Build with Java 17 (Closes: #981886)
  * Standards-Version updated to 4.6.2
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Jan 2023 16:10:00 +0100

intellij-community-idea (183.5153.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 29 Aug 2020 16:48:53 +0200

intellij-community-idea (183.5153.4-1) unstable; urgency=medium

  * Initial release. Closes: #939721

 -- Saif Abdul Cassim <saif.15@cse.mrt.ac.lk>  Mon, 25 May 2020 14:25:59 +0200

=== debian/control ===
Source: intellij-community-idea
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Saif Abdul Cassim <saif.15@cse.mrt.ac.lk>,
 Julien Plissonneau Duquène <sre4ever@free.fr>
Build-Depends:
 ant,
 debhelper-compat (= 13),
 default-jdk,
 dh-exec,
 gradle-debian-helper,
 libasm-java (>= 9.7~),
 libautomaton-java (>= 1.12-4+dfsg-2),
 libbatik-java,
 libcommons-codec-java,
 libcommons-compress-java,
 libguava-java,
 libhttpclient-java,
 libimgscalr-java,
 libini4j-java,
 libintellij-java-compatibility-java,
 libjdom2-intellij-java,
 libjetbrains-annotations-java,
 libjgoodies-forms-java,
 libjgraph-java,
 libjna-platform-java,
 liblog4j1.2-java,
 liblz4-java,
 libmicroba-java,
 libnanoxml2-java,
 libnetty-java,
 liboro-java (>= 2.0.8a-14~),
 libpicocontainer1-java,
 libstreamex-java,
 libtrove-intellij-java,
 libxml-commons-external-java,
 libxmlgraphics-commons-java,
 maven-repo-helper,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/java-team/intellij-community-idea
Vcs-Git: https://salsa.debian.org/java-team/intellij-community-idea.git
Homepage: https://github.com/JetBrains/intellij-community

Package: libintellij-utils-java
Architecture: all
Depends:
 ${misc:Depends},
 libbatik-java,
 libcommons-compress-java,
 libimgscalr-java,
 libintellij-java-compatibility-java,
 libjdom2-intellij-java,
 libjetbrains-annotations-java,
 libjna-platform-java,
 liblog4j1.2-java,
 liblz4-java,
 liboro-java,
 libtrove-intellij-java,
 libxml-commons-external-java,
 libxmlgraphics-commons-java
Description: IntelliJ IDEA utility classes
 IntelliJ IDEA is a Java integrated development environment for
 developing computer software. Community edition is an Apache 2
 licensed version of IDEA.
 .
 This package ships utility classes used by IntelliJ IDEA and
 other software.

Package: libintellij-jps-model-java
Architecture: all
Depends:
 ${misc:Depends},
 libintellij-utils-java,
 libjdom2-intellij-java,
 libjetbrains-annotations-java
Description: IntelliJ IDEA Project Model
 IntelliJ IDEA Community Edition is a Java integrated development environment
 (IDE) for developing computer software.
 .
 This package ships parts of the build system of IntelliJ IDEA
 used by IDEA and other software to handle IDEA projects files.

Package: libintellij-extensions-java
Architecture: all
Depends:
 ${misc:Depends},
 libintellij-utils-java,
 libjdom2-intellij-java,
 libpicocontainer1-java
Description: IntelliJ IDEA Extension Point Framework
 IntelliJ IDEA Community Edition is a Java integrated development environment
 (IDE) for developing computer software.
 .
 Provides interfaces for the extension point framework used in IDEA
 and other software.

Package: libintellij-platform-api-java
Architecture: all
Depends: ${misc:Depends}
Description: IntelliJ IDEA Platform API
 IntelliJ IDEA Community Edition is a Java integrated development environment
 (IDE) for developing computer software.
 .
 This package contains the platform:platform-api artifacts.

Package: libintellij-platform-impl-java
Architecture: all
Depends: ${misc:Depends}
Description: IntelliJ IDEA Platform Implementation
 IntelliJ IDEA Community Edition is a Java integrated development environment
 (IDE) for developing computer software.
 .
 This package contains the platform:core-impl artifact.

Package: libintellij-core-java
Architecture: all
Depends: ${misc:Depends}
Description: IntelliJ IDEA Core API
 IntelliJ IDEA Community Edition is a Java integrated development environment
 (IDE) for developing computer software.
 .
 This package contains the platform:core-impl, platform:core-api, platform:util
 and platform:util-rt artifacts.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=gradle --with maven-repo-helper

override_dh_auto_build:
	ant -f ./debian/buildasm.xml
	dh_auto_build -- dist

override_dh_auto_test:

override_dh_auto_clean:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, repack, compression=xz, dversionmangle=s/\+dfsg//" \
 https://github.com/JetBrains/intellij-community \
 refs/tags/idea/([\d\.]+)
